> ## Documentation Index
> Fetch the complete documentation index at: https://openworklabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Inspect a Workflow



## OpenAPI

````yaml /openapi.json get /v1/workflows/{configObjectId}
openapi: 3.1.0
info:
  title: Den API
  description: >-
    OpenAPI spec for the Den control plane API.


    Authentication:

    - Use `Authorization: Bearer <session-token>` for user-authenticated routes
    that require a Den session.

    - Use `x-api-key: <den-api-key>` for API-key-authenticated routes that
    accept organization API keys.

    - Public routes like health and documentation do not require authentication.


    Swagger tip: use the security schemes in the Authorize dialog to set either
    `bearerAuth` or `denApiKey` before trying protected endpoints.
  version: dev
servers:
  - url: http://api.den.local
security: []
tags:
  - name: System
    description: Service health and operational routes.
  - name: Organizations
    description: Top-level organization creation and context routes.
  - name: Invitations
    description: Invitation preview, acceptance, creation, and cancellation routes.
  - name: API Keys
    description: Organization API key management routes.
  - name: SCIM
    description: Organization SCIM connector management routes.
  - name: SSO
    description: Organization single sign-on connector management routes.
  - name: Members
    description: Organization member management routes.
  - name: Roles
    description: Organization custom role management routes.
  - name: Teams
    description: Organization team management routes.
  - name: Templates
    description: Organization shared template routes.
  - name: LLM Providers
    description: Organization LLM provider catalog, configuration, and access routes.
  - name: Workers
    description: Worker lifecycle, billing, and runtime routes.
  - name: Worker Runtime
    description: Worker runtime inspection and upgrade routes.
  - name: Worker Activity
    description: Worker heartbeat and activity reporting routes.
  - name: Telemetry
    description: Telemetry event ingestion and adoption analytics.
  - name: Admin
    description: Administrative reporting routes.
  - name: Users
    description: Current user and membership routes.
  - name: Bootstrap
    description: Agent-first provisional workspace setup routes.
paths:
  /v1/workflows/{configObjectId}:
    get:
      tags:
        - Workflows
      summary: Inspect a Workflow
      operationId: getV1WorkflowsByConfigObjectId
      parameters:
        - in: query
          name: maxAgeMs
          schema:
            type: integer
            minimum: 60000
            maximum: 2592000000
        - schema:
            type: string
          in: path
          name: configObjectId
          required: true
      responses:
        '200':
          description: Workflow returned.
          content:
            application/json:
              schema:
                type: object
                properties:
                  workflow:
                    type: object
                    properties:
                      type:
                        type: string
                        const: workflow
                      id:
                        type: string
                      plugin:
                        anyOf:
                          - type: object
                            properties:
                              id:
                                type: string
                              name:
                                type: string
                            required:
                              - id
                              - name
                          - type: 'null'
                      name:
                        type: string
                      description:
                        anyOf:
                          - type: string
                          - type: 'null'
                      role:
                        type: string
                        enum:
                          - viewer
                          - editor
                          - manager
                      edges:
                        type: array
                        items: {}
                      state:
                        type: string
                        enum:
                          - ready
                          - needs_signin
                          - needs_admin_setup
                      resultState:
                        type: string
                        enum:
                          - never_run
                          - fresh
                          - stale
                          - needs_attention
                      latestSuccessfulAt:
                        anyOf:
                          - type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                          - type: 'null'
                      viewState:
                        type: string
                        enum:
                          - default
                          - custom_active
                          - build_failed
                          - retired
                      activeViewTitle:
                        anyOf:
                          - type: string
                          - type: 'null'
                      automationCount:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                      source:
                        type: object
                        properties:
                          kind:
                            type: string
                            enum:
                              - created
                              - installed_template
                          templateName:
                            type: string
                          templateVersion:
                            type: string
                        required:
                          - kind
                    required:
                      - type
                      - id
                      - plugin
                      - name
                      - description
                      - role
                      - edges
                      - state
                      - resultState
                      - latestSuccessfulAt
                      - viewState
                      - activeViewTitle
                      - automationCount
                      - source
                  script:
                    type: object
                    properties:
                      pluginId:
                        type: string
                        minLength: 1
                        maxLength: 160
                      configObjectId:
                        type: string
                        minLength: 1
                        maxLength: 160
                      title:
                        type: string
                        minLength: 1
                        maxLength: 255
                      description:
                        anyOf:
                          - type: string
                          - type: 'null'
                      canRun:
                        type: boolean
                      canManage:
                        type: boolean
                      currentVersion:
                        type: object
                        properties:
                          id:
                            type: string
                            minLength: 1
                            maxLength: 160
                          code:
                            anyOf:
                              - type: string
                              - type: 'null'
                          inputSchema:
                            anyOf:
                              - {}
                              - type: 'null'
                          outputSchema:
                            anyOf:
                              - {}
                              - type: 'null'
                          exampleInput:
                            anyOf:
                              - {}
                              - type: 'null'
                          requiredCapabilities:
                            type: array
                            items:
                              type: object
                              properties:
                                capabilityName:
                                  type: string
                                  minLength: 1
                                  maxLength: 255
                                scriptPath:
                                  type: string
                                  minLength: 1
                                  maxLength: 255
                              required:
                                - capabilityName
                                - scriptPath
                          codeDigest:
                            type: string
                            pattern: ^sha256:[a-f0-9]{64}$
                          inputSchemaDigest:
                            anyOf:
                              - type: string
                                pattern: ^sha256:[a-f0-9]{64}$
                              - type: 'null'
                          outputSchemaDigest:
                            anyOf:
                              - type: string
                                pattern: ^sha256:[a-f0-9]{64}$
                              - type: 'null'
                          createdAt:
                            type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                          automationReferences:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  minLength: 1
                                  maxLength: 160
                                name:
                                  type: string
                                  minLength: 1
                                  maxLength: 120
                                state:
                                  type: string
                                  enum:
                                    - active
                                    - inactive
                                    - needs_attention
                                    - archived
                                configObjectVersionId:
                                  type: string
                                  minLength: 1
                                  maxLength: 160
                                input: {}
                              required:
                                - id
                                - name
                                - state
                                - configObjectVersionId
                        required:
                          - id
                          - code
                          - inputSchema
                          - outputSchema
                          - requiredCapabilities
                          - codeDigest
                          - inputSchemaDigest
                          - outputSchemaDigest
                          - createdAt
                          - automationReferences
                      versions:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              minLength: 1
                              maxLength: 160
                            code:
                              anyOf:
                                - type: string
                                - type: 'null'
                            inputSchema:
                              anyOf:
                                - {}
                                - type: 'null'
                            outputSchema:
                              anyOf:
                                - {}
                                - type: 'null'
                            exampleInput:
                              anyOf:
                                - {}
                                - type: 'null'
                            requiredCapabilities:
                              type: array
                              items:
                                type: object
                                properties:
                                  capabilityName:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                  scriptPath:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                required:
                                  - capabilityName
                                  - scriptPath
                            codeDigest:
                              type: string
                              pattern: ^sha256:[a-f0-9]{64}$
                            inputSchemaDigest:
                              anyOf:
                                - type: string
                                  pattern: ^sha256:[a-f0-9]{64}$
                                - type: 'null'
                            outputSchemaDigest:
                              anyOf:
                                - type: string
                                  pattern: ^sha256:[a-f0-9]{64}$
                                - type: 'null'
                            createdAt:
                              type: string
                              format: date-time
                              pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                            automationReferences:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    minLength: 1
                                    maxLength: 160
                                  name:
                                    type: string
                                    minLength: 1
                                    maxLength: 120
                                  state:
                                    type: string
                                    enum:
                                      - active
                                      - inactive
                                      - needs_attention
                                      - archived
                                  configObjectVersionId:
                                    type: string
                                    minLength: 1
                                    maxLength: 160
                                  input: {}
                                required:
                                  - id
                                  - name
                                  - state
                                  - configObjectVersionId
                          required:
                            - id
                            - code
                            - inputSchema
                            - outputSchema
                            - requiredCapabilities
                            - codeDigest
                            - inputSchemaDigest
                            - outputSchemaDigest
                            - createdAt
                            - automationReferences
                      latestSnapshot:
                        anyOf:
                          - type: object
                            properties:
                              receiptId:
                                type: string
                                minLength: 1
                                maxLength: 160
                              pluginId:
                                type: string
                                minLength: 1
                                maxLength: 160
                              configObjectId:
                                type: string
                                minLength: 1
                                maxLength: 160
                              configObjectVersionId:
                                type: string
                                minLength: 1
                                maxLength: 160
                              automationRunId:
                                anyOf:
                                  - type: string
                                    minLength: 1
                                    maxLength: 160
                                  - type: 'null'
                              value:
                                anyOf:
                                  - {}
                                  - type: 'null'
                              markdown:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                              codeDigest:
                                type: string
                                pattern: ^sha256:[a-f0-9]{64}$
                              resultDigest:
                                anyOf:
                                  - type: string
                                    pattern: ^sha256:[a-f0-9]{64}$
                                  - type: 'null'
                              inputSchemaDigest:
                                anyOf:
                                  - type: string
                                    pattern: ^sha256:[a-f0-9]{64}$
                                  - type: 'null'
                              outputSchemaDigest:
                                anyOf:
                                  - type: string
                                    pattern: ^sha256:[a-f0-9]{64}$
                                  - type: 'null'
                              rendererVersion:
                                anyOf:
                                  - type: string
                                    const: codemode-markdown-v1
                                  - type: 'null'
                              status:
                                type: string
                                enum:
                                  - succeeded
                                  - failed
                              errorKind:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                              errorMessage:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                              source:
                                type: string
                                enum:
                                  - manual
                                  - scheduled
                              startedAt:
                                type: string
                                format: date-time
                                pattern: >-
                                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                              finishedAt:
                                type: string
                                format: date-time
                                pattern: >-
                                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                              contentDeletedAt:
                                anyOf:
                                  - type: string
                                    format: date-time
                                    pattern: >-
                                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                                  - type: 'null'
                            required:
                              - receiptId
                              - pluginId
                              - configObjectId
                              - configObjectVersionId
                              - automationRunId
                              - value
                              - markdown
                              - codeDigest
                              - resultDigest
                              - inputSchemaDigest
                              - outputSchemaDigest
                              - rendererVersion
                              - status
                              - errorKind
                              - errorMessage
                              - source
                              - startedAt
                              - finishedAt
                              - contentDeletedAt
                          - type: 'null'
                      latestSuccessfulSnapshot:
                        anyOf:
                          - type: object
                            properties:
                              receiptId:
                                type: string
                                minLength: 1
                                maxLength: 160
                              pluginId:
                                type: string
                                minLength: 1
                                maxLength: 160
                              configObjectId:
                                type: string
                                minLength: 1
                                maxLength: 160
                              configObjectVersionId:
                                type: string
                                minLength: 1
                                maxLength: 160
                              automationRunId:
                                anyOf:
                                  - type: string
                                    minLength: 1
                                    maxLength: 160
                                  - type: 'null'
                              value:
                                anyOf:
                                  - {}
                                  - type: 'null'
                              markdown:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                              codeDigest:
                                type: string
                                pattern: ^sha256:[a-f0-9]{64}$
                              resultDigest:
                                anyOf:
                                  - type: string
                                    pattern: ^sha256:[a-f0-9]{64}$
                                  - type: 'null'
                              inputSchemaDigest:
                                anyOf:
                                  - type: string
                                    pattern: ^sha256:[a-f0-9]{64}$
                                  - type: 'null'
                              outputSchemaDigest:
                                anyOf:
                                  - type: string
                                    pattern: ^sha256:[a-f0-9]{64}$
                                  - type: 'null'
                              rendererVersion:
                                anyOf:
                                  - type: string
                                    const: codemode-markdown-v1
                                  - type: 'null'
                              status:
                                type: string
                                enum:
                                  - succeeded
                                  - failed
                              errorKind:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                              errorMessage:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                              source:
                                type: string
                                enum:
                                  - manual
                                  - scheduled
                              startedAt:
                                type: string
                                format: date-time
                                pattern: >-
                                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                              finishedAt:
                                type: string
                                format: date-time
                                pattern: >-
                                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                              contentDeletedAt:
                                anyOf:
                                  - type: string
                                    format: date-time
                                    pattern: >-
                                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                                  - type: 'null'
                            required:
                              - receiptId
                              - pluginId
                              - configObjectId
                              - configObjectVersionId
                              - automationRunId
                              - value
                              - markdown
                              - codeDigest
                              - resultDigest
                              - inputSchemaDigest
                              - outputSchemaDigest
                              - rendererVersion
                              - status
                              - errorKind
                              - errorMessage
                              - source
                              - startedAt
                              - finishedAt
                              - contentDeletedAt
                          - type: 'null'
                      freshness:
                        oneOf:
                          - type: object
                            properties:
                              state:
                                type: string
                                const: never_run
                            required:
                              - state
                          - type: object
                            properties:
                              state:
                                type: string
                                const: fresh
                              ageMs:
                                type: integer
                                minimum: 0
                                maximum: 9007199254740991
                            required:
                              - state
                              - ageMs
                          - type: object
                            properties:
                              state:
                                type: string
                                const: stale
                              ageMs:
                                type: integer
                                minimum: 0
                                maximum: 9007199254740991
                              maxAgeMs:
                                type: integer
                                exclusiveMinimum: 0
                                maximum: 9007199254740991
                            required:
                              - state
                              - ageMs
                              - maxAgeMs
                          - type: object
                            properties:
                              state:
                                type: string
                                const: needs_attention
                              ageMs:
                                anyOf:
                                  - type: integer
                                    minimum: 0
                                    maximum: 9007199254740991
                                  - type: 'null'
                              lastSuccessfulReceiptId:
                                anyOf:
                                  - type: string
                                    minLength: 1
                                    maxLength: 160
                                  - type: 'null'
                              reason:
                                type: string
                                minLength: 1
                                maxLength: 2000
                            required:
                              - state
                              - ageMs
                              - lastSuccessfulReceiptId
                              - reason
                    required:
                      - pluginId
                      - configObjectId
                      - title
                      - description
                      - canRun
                      - canManage
                      - currentVersion
                      - versions
                      - latestSnapshot
                      - latestSuccessfulSnapshot
                      - freshness
                  views:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          minLength: 1
                          maxLength: 160
                        configObjectId:
                          type: string
                          minLength: 1
                          maxLength: 160
                        title:
                          type: string
                          minLength: 1
                          maxLength: 255
                        description:
                          anyOf:
                            - type: string
                              maxLength: 2000
                            - type: 'null'
                        status:
                          type: string
                          enum:
                            - active
                            - retired
                        activeRevisionId:
                          anyOf:
                            - type: string
                              minLength: 1
                              maxLength: 160
                            - type: 'null'
                        revisions:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                                maxLength: 160
                              artifactViewId:
                                type: string
                                minLength: 1
                                maxLength: 160
                              resourceUri:
                                type: string
                                pattern: ^ui:\/\/openwork\/artifacts\/.*
                              buildStatus:
                                type: string
                                enum:
                                  - ready
                                  - failed
                              sourceDigest:
                                type: string
                                pattern: ^sha256:[a-f0-9]{64}$
                              resourceDigest:
                                anyOf:
                                  - type: string
                                    pattern: ^sha256:[a-f0-9]{64}$
                                  - type: 'null'
                              outputSchemaDigest:
                                type: string
                                pattern: ^sha256:[a-f0-9]{64}$
                              csp:
                                type: object
                                properties:
                                  connectDomains:
                                    minItems: 0
                                    maxItems: 0
                                    type: array
                                    items:
                                      type: string
                                  resourceDomains:
                                    minItems: 0
                                    maxItems: 0
                                    type: array
                                    items:
                                      type: string
                                  frameDomains:
                                    minItems: 0
                                    maxItems: 0
                                    type: array
                                    items:
                                      type: string
                                  baseUriDomains:
                                    minItems: 0
                                    maxItems: 0
                                    type: array
                                    items:
                                      type: string
                                required:
                                  - connectDomains
                                  - resourceDomains
                                  - frameDomains
                                  - baseUriDomains
                              diagnostics:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    level:
                                      type: string
                                      enum:
                                        - error
                                        - warning
                                    message:
                                      type: string
                                      minLength: 1
                                      maxLength: 4000
                                    line:
                                      anyOf:
                                        - type: integer
                                          exclusiveMinimum: 0
                                          maximum: 9007199254740991
                                        - type: 'null'
                                    column:
                                      anyOf:
                                        - type: integer
                                          minimum: 0
                                          maximum: 9007199254740991
                                        - type: 'null'
                                  required:
                                    - level
                                    - message
                                    - line
                                    - column
                              compilerName:
                                type: string
                                minLength: 1
                              compilerVersion:
                                type: string
                                minLength: 1
                              reactVersion:
                                type: string
                                minLength: 1
                              compiledHtmlBytes:
                                anyOf:
                                  - type: integer
                                    minimum: 0
                                    maximum: 9007199254740991
                                  - type: 'null'
                              retiredAt:
                                anyOf:
                                  - type: string
                                    format: date-time
                                    pattern: >-
                                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                                  - type: 'null'
                              createdAt:
                                type: string
                                format: date-time
                                pattern: >-
                                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                            required:
                              - id
                              - artifactViewId
                              - resourceUri
                              - buildStatus
                              - sourceDigest
                              - resourceDigest
                              - outputSchemaDigest
                              - csp
                              - diagnostics
                              - compilerName
                              - compilerVersion
                              - reactVersion
                              - compiledHtmlBytes
                              - retiredAt
                              - createdAt
                        createdAt:
                          type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                        updatedAt:
                          type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      required:
                        - id
                        - configObjectId
                        - title
                        - description
                        - status
                        - activeRevisionId
                        - revisions
                        - createdAt
                        - updatedAt
                required:
                  - workflow
                  - script
                  - views
        '404':
          description: Workflow not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
components:
  schemas:
    NotFoundError:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
      required:
        - error

````